#!/bin/sh
NGINX_DENY=/etc/nginx/vhosts/global-deny.conf
HTTPD_DENY=/etc/httpd/conf/extra/httpd-includes.conf
IP_ROUTE=$(ip route show | grep botfence | cut -d' ' -f2)
if [ ! -z "$IP_ROUTE" ]; then
        echo "$IP_ROUTE"
        while IFS= read -r ip; do
                ip route del blackhole $ip
        done <<< "$IP_ROUTE"
fi
if [ -f $NGIXN_DENY ]; then
        echo "nginx file exists"
        echo "checking if file has string..."
        if grep -q "#botfence" $NGINX_DENY; then
                sed -i '/#botfence/d' $NGINX_DENY
                echo "found string(s). removed..."
                nginx -t
                if [ $? -eq 0 ]; then
                        systemctl reload nginx
                else
                        echo "error in conf file or file exists but nginx isn't running"
                        exit 1
                fi
        else
                echo "no strings found"
        fi
fi
if [ -f $HTTPD_DENY ]; then
        echo "httpd file exists"
        echo "checking if file has string..."
        if grep -q "#botfence" $HTTPD_DENY; then
                IP_LIST=$(grep "#botfence" $HTTPD_DENY | cut -d' ' -f3)
                while IFS= read -r ip; do
                        sed -i "/$ip/d" $HTTPD_DENY
                done <<< "$IP_LIST"
                echo "found string(s). removed..."
                httpd -t
                if [ $? -eq 0 ]; then
                        systemctl reload httpd
                else
                        echo "error in conf file or file exists but httpd isn't running"
                        exit 1
                fi
        else
                echo "no strings found"
        fi
fi