#!/bin/sh
mkdir -p /etc/botfence
mkdir -p /var/log/botfence/reports
touch /etc/botfence/botfence.deny
touch /etc/botfence/botfence.ignore
if [ ! -f /etc/botfence/settings.json ]; then
    mv /usr/local/directadmin/plugins/botfence/admin/default-settings.json /etc/botfence/settings.json
fi
if [ ! -f /etc/botfence/GeoIP.dat ]; then
    mv /usr/local/directadmin/plugins/botfence/GeoIP.dat /etc/botfence/GeoIP.dat
fi
chown diradmin.diradmin /usr/local/directadmin/plugins/botfence -R
chown admin.admin /usr/local/directadmin/plugins/botfence/admin -R
chown admin.admin /etc/botfence -R
chmod +x /usr/local/directadmin/plugins/botfence/admin/*.raw
chmod +x /usr/local/directadmin/plugins/botfence/admin/*.html
chmod +x /usr/local/directadmin/plugins/botfence/scripts/*.sh

if [ -f /usr/local/directadmin/plugins/botfence-pack.tar.gz ]; then
md5sum /usr/local/directadmin/plugins/botfence-pack.tar.gz | awk {'print $1'} > /etc/botfence/version.txt
rm -f /usr/local/directadmin/plugins/botfence-pack.tar.gz
fi

SERVICES_STATUS=/usr/local/directadmin/data/admin/services.status
if [ ! -f /etc/systemd/system/botfence.service ] || [ -z $(grep "ExecStop" /etc/systemd/system/botfence.service) ]; then
        cat <<EOF > /etc/systemd/system/botfence.service
[Unit]
Description=Botfence Security
[Service]
Type=simple
Restart=always
RestartSec=1
ExecStart=/usr/local/directadmin/plugins/botfence/exec/engine
ExecStop=/usr/local/directadmin/plugins/botfence/scripts/exit.sh
[Install]
WantedBy=multi-user.target
EOF
fi
if ! grep -q ^botfence ${SERVICES_STATUS} ; then
        echo "botfence=ON" >> ${SERVICES_STATUS}
elif grep -q ^botfence=OFF ${SERVICES_STATUS} ; then
        sed -i /^botfence/s/=.*/="ON"/ ${SERVICES_STATUS}
fi
systemctl enable botfence.service
systemctl start botfence.service


#cd /usr/local/directadmin/plugins/botfence/images/app || exit
#rm -f /usr/local/directadmin/plugins/botfence-pack.tar.gz
#npm install
#pm2 stop engine
#pm2 delete engine
#pm2 start /usr/local/directadmin/plugins/botfence/images/app/engine.js --name engine

echo "botfence plugin installed successfully"

exit 0;
